net.minecraft.block

## Class BlockStairs

- java.lang.Object
- - net.minecraft.block.Block
  - - net.minecraft.block.BlockStairs

-     public class BlockStairs
      extends Block

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.block.Block

      `Block.SoundType`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.block.Block

      `blockConstructorCalled, blockHardness, blockIcon, blockMaterial, blockParticleGravity, blockRegistry, blockResistance, canBlockGrass, capturedDrops, captureDrops, enableStats, harvesters, isBlockContainer, lightOpacity, lightValue, maxX, maxY, maxZ, minX, minY, minZ, needsRandomTick, opaque, slipperiness, soundTypeAnvil, soundTypeCloth, soundTypeGlass, soundTypeGrass, soundTypeGravel, soundTypeLadder, soundTypeMetal, soundTypePiston, soundTypeSand, soundTypeSnow, soundTypeStone, soundTypeWood, stepSound, textureName, useNeighborBrightness`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BlockStairs(Block p_i45428_1_, int p_i45428_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCollisionBoxesToList(World p_149743_1_, int p_149743_2_, int p_149743_3_, int p_149743_4_, AxisAlignedBB p_149743_5_, java.util.List p_149743_6_, Entity p_149743_7_)`
    `void` | `breakBlock(World p_149749_1_, int p_149749_2_, int p_149749_3_, int p_149749_4_, Block p_149749_5_, int p_149749_6_)`
    `boolean` | `canCollideCheck(int p_149678_1_, boolean p_149678_2_)`
    `boolean` | `canPlaceBlockAt(World p_149742_1_, int p_149742_2_, int p_149742_3_, int p_149742_4_)`
    `MovingObjectPosition` | `collisionRayTrace(World p_149731_1_, int p_149731_2_, int p_149731_3_, int p_149731_4_, Vec3 p_149731_5_, Vec3 p_149731_6_)`
    `boolean` | `func_150144_g(IBlockAccess p_150144_1_, int p_150144_2_, int p_150144_3_, int p_150144_4_)`
    `boolean` | `func_150145_f(IBlockAccess p_150145_1_, int p_150145_2_, int p_150145_3_, int p_150145_4_)`
    `void` | `func_150147_e(IBlockAccess p_150147_1_, int p_150147_2_, int p_150147_3_, int p_150147_4_)`
    `static boolean` | `func_150148_a(Block p_150148_0_)`
    `float` | `getExplosionResistance(Entity p_149638_1_)`
    `IIcon` | `getIcon(int p_149691_1_, int p_149691_2_)`
    `MapColor` | `getMapColor(int p_149728_1_)`
    `int` | `getMixedBrightnessForBlock(IBlockAccess p_149677_1_, int p_149677_2_, int p_149677_3_, int p_149677_4_)`
    `int` | `getRenderBlockPass()`
    `int` | `getRenderType()`
    `AxisAlignedBB` | `getSelectedBoundingBoxFromPool(World p_149633_1_, int p_149633_2_, int p_149633_3_, int p_149633_4_)`
    `boolean` | `isCollidable()`
    `boolean` | `isOpaqueCube()`
    `boolean` | `onBlockActivated(World p_149727_1_, int p_149727_2_, int p_149727_3_, int p_149727_4_, EntityPlayer p_149727_5_, int p_149727_6_, float p_149727_7_, float p_149727_8_, float p_149727_9_)`
    `void` | `onBlockAdded(World p_149726_1_, int p_149726_2_, int p_149726_3_, int p_149726_4_)`
    `void` | `onBlockClicked(World p_149699_1_, int p_149699_2_, int p_149699_3_, int p_149699_4_, EntityPlayer p_149699_5_)`
    `void` | `onBlockDestroyedByExplosion(World p_149723_1_, int p_149723_2_, int p_149723_3_, int p_149723_4_, Explosion p_149723_5_)`
    `void` | `onBlockDestroyedByPlayer(World p_149664_1_, int p_149664_2_, int p_149664_3_, int p_149664_4_, int p_149664_5_)`
    `int` | `onBlockPlaced(World p_149660_1_, int p_149660_2_, int p_149660_3_, int p_149660_4_, int p_149660_5_, float p_149660_6_, float p_149660_7_, float p_149660_8_, int p_149660_9_)`
    `void` | `onBlockPlacedBy(World p_149689_1_, int p_149689_2_, int p_149689_3_, int p_149689_4_, EntityLivingBase p_149689_5_, ItemStack p_149689_6_)`
    `void` | `onEntityWalking(World p_149724_1_, int p_149724_2_, int p_149724_3_, int p_149724_4_, Entity p_149724_5_)`
    `void` | `randomDisplayTick(World p_149734_1_, int p_149734_2_, int p_149734_3_, int p_149734_4_, java.util.Random p_149734_5_)`
    `void` | `registerBlockIcons(IIconRegister p_149651_1_)`
    `boolean` | `renderAsNormalBlock()`
    `void` | `setBlockBoundsBasedOnState(IBlockAccess p_149719_1_, int p_149719_2_, int p_149719_3_, int p_149719_4_)`
    `int` | `tickRate(World p_149738_1_)`
    `void` | `updateTick(World p_149674_1_, int p_149674_2_, int p_149674_3_, int p_149674_4_, java.util.Random p_149674_5_)`
    `void` | `velocityToAddToEntity(World p_149640_1_, int p_149640_2_, int p_149640_3_, int p_149640_4_, Entity p_149640_5_, Vec3 p_149640_6_)`

    - ### Methods inherited from class net.minecraft.block.Block

      `addDestroyEffects, addHitEffects, beginLeavesDecay, canBeReplacedByLeaves, canBlockStay, canConnectRedstone, canCreatureSpawn, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canPlaceBlockOnSide, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canReplace, canSilkHarvest, canSilkHarvest, canSustainLeaves, canSustainPlant, captureDrops, colorMultiplier, createStackedBlock, createTileEntity, damageDropped, disableStats, dropBlockAsItem, dropBlockAsItem, dropBlockAsItemWithChance, dropXpOnBlockBreak, fillWithRain, func_149698_L, func_149730_j, func_149735_b, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockById, getBlockColor, getBlockFromItem, getBlockFromName, getBlockHardness, getBlocksMovement, getBlockTextureFromSide, getCanBlockGrass, getCollisionBoundingBoxFromPool, getComparatorInputOverride, getCreativeTabToDisplayOn, getDamageValue, getDrops, getEnableStats, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getFireSpreadSpeed, getFlammability, getHarvestLevel, getHarvestTool, getIcon, getIdFromBlock, getItem, getItemDropped, getItemIconName, getLightOpacity, getLightOpacity, getLightValue, getLightValue, getLocalizedName, getMaterial, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderColor, getSubBlocks, getTextureName, getTickRandomly, getUnlocalizedName, getUseNeighborBrightness, getValidRotations, getWeakChanges, harvestBlock, hasComparatorInputOverride, hasTileEntity, hasTileEntity, isAir, isAssociatedBlock, isBeaconBase, isBed, isBedFoot, isBlockNormalCube, isBlockSolid, isBurning, isEqualTo, isFertile, isFireSource, isFlammable, isFlowerPot, isFoliage, isLadder, isLeaves, isNormalCube, isNormalCube, isProvidingStrongPower, isProvidingWeakPower, isReplaceable, isReplaceableOreGen, isSideSolid, isToolEffective, isWood, onBlockEventReceived, onBlockExploded, onBlockHarvested, onBlockPreDestroy, onEntityCollidedWithBlock, onFallenUpon, onNeighborBlockChange, onNeighborChange, onPlantGrow, onPostBlockPlaced, quantityDropped, quantityDropped, quantityDroppedWithBonus, recolourBlock, registerBlocks, removedByPlayer, rotateBlock, setBedOccupied, setBlockBounds, setBlockBoundsForItemRender, setBlockName, setBlockTextureName, setBlockUnbreakable, setCreativeTab, setHardness, setHarvestLevel, setHarvestLevel, setLightLevel, setLightOpacity, setResistance, setStepSound, setTickRandomly, shouldCheckWeakPower, shouldSideBeRendered`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockStairs

          protected BlockStairs(Block p_i45428_1_,
                     int p_i45428_2_)

  - ### Method Detail

    - #### setBlockBoundsBasedOnState

          public void setBlockBoundsBasedOnState(IBlockAccess p_149719_1_,
                                        int p_149719_2_,
                                        int p_149719_3_,
                                        int p_149719_4_)

      Overrides:
        `setBlockBoundsBasedOnState` in class `Block`

    - #### isOpaqueCube

          public boolean isOpaqueCube()

      Overrides:
        `isOpaqueCube` in class `Block`

    - #### renderAsNormalBlock

          public boolean renderAsNormalBlock()

      Overrides:
        `renderAsNormalBlock` in class `Block`

    - #### getRenderType

          public int getRenderType()

      Overrides:
        `getRenderType` in class `Block`

    - #### func_150147_e

          public void func_150147_e(IBlockAccess p_150147_1_,
                           int p_150147_2_,
                           int p_150147_3_,
                           int p_150147_4_)

    - #### func_150148_a

          public static boolean func_150148_a(Block p_150148_0_)

    - #### func_150145_f

          public boolean func_150145_f(IBlockAccess p_150145_1_,
                              int p_150145_2_,
                              int p_150145_3_,
                              int p_150145_4_)

    - #### func_150144_g

          public boolean func_150144_g(IBlockAccess p_150144_1_,
                              int p_150144_2_,
                              int p_150144_3_,
                              int p_150144_4_)

    - #### addCollisionBoxesToList

          public void addCollisionBoxesToList(World p_149743_1_,
                                     int p_149743_2_,
                                     int p_149743_3_,
                                     int p_149743_4_,
                                     AxisAlignedBB p_149743_5_,
                                     java.util.List p_149743_6_,
                                     Entity p_149743_7_)

      Overrides:
        `addCollisionBoxesToList` in class `Block`

    - #### onBlockClicked

          public void onBlockClicked(World p_149699_1_,
                            int p_149699_2_,
                            int p_149699_3_,
                            int p_149699_4_,
                            EntityPlayer p_149699_5_)

      Overrides:
        `onBlockClicked` in class `Block`

    - #### randomDisplayTick

          public void randomDisplayTick(World p_149734_1_,
                               int p_149734_2_,
                               int p_149734_3_,
                               int p_149734_4_,
                               java.util.Random p_149734_5_)

      Overrides:
        `randomDisplayTick` in class `Block`

    - #### onBlockDestroyedByPlayer

          public void onBlockDestroyedByPlayer(World p_149664_1_,
                                      int p_149664_2_,
                                      int p_149664_3_,
                                      int p_149664_4_,
                                      int p_149664_5_)

      Overrides:
        `onBlockDestroyedByPlayer` in class `Block`

    - #### getExplosionResistance

          public float getExplosionResistance(Entity p_149638_1_)

      Overrides:
        `getExplosionResistance` in class `Block`

    - #### tickRate

          public int tickRate(World p_149738_1_)

      Overrides:
        `tickRate` in class `Block`

    - #### velocityToAddToEntity

          public void velocityToAddToEntity(World p_149640_1_,
                                   int p_149640_2_,
                                   int p_149640_3_,
                                   int p_149640_4_,
                                   Entity p_149640_5_,
                                   Vec3 p_149640_6_)

      Overrides:
        `velocityToAddToEntity` in class `Block`

    - #### getMixedBrightnessForBlock

          public int getMixedBrightnessForBlock(IBlockAccess p_149677_1_,
                                       int p_149677_2_,
                                       int p_149677_3_,
                                       int p_149677_4_)

      Overrides:
        `getMixedBrightnessForBlock` in class `Block`

    - #### getRenderBlockPass

          public int getRenderBlockPass()

      Overrides:
        `getRenderBlockPass` in class `Block`

    - #### getIcon

          public IIcon getIcon(int p_149691_1_,
                      int p_149691_2_)

      Overrides:
        `getIcon` in class `Block`

    - #### getSelectedBoundingBoxFromPool

          public AxisAlignedBB getSelectedBoundingBoxFromPool(World p_149633_1_,
                                                     int p_149633_2_,
                                                     int p_149633_3_,
                                                     int p_149633_4_)

      Overrides:
        `getSelectedBoundingBoxFromPool` in class `Block`

    - #### isCollidable

          public boolean isCollidable()

      Overrides:
        `isCollidable` in class `Block`

    - #### canCollideCheck

          public boolean canCollideCheck(int p_149678_1_,
                                boolean p_149678_2_)

      Overrides:
        `canCollideCheck` in class `Block`

    - #### canPlaceBlockAt

          public boolean canPlaceBlockAt(World p_149742_1_,
                                int p_149742_2_,
                                int p_149742_3_,
                                int p_149742_4_)

      Overrides:
        `canPlaceBlockAt` in class `Block`

    - #### onBlockAdded

          public void onBlockAdded(World p_149726_1_,
                          int p_149726_2_,
                          int p_149726_3_,
                          int p_149726_4_)

      Overrides:
        `onBlockAdded` in class `Block`

    - #### breakBlock

          public void breakBlock(World p_149749_1_,
                        int p_149749_2_,
                        int p_149749_3_,
                        int p_149749_4_,
                        Block p_149749_5_,
                        int p_149749_6_)

      Overrides:
        `breakBlock` in class `Block`

    - #### onEntityWalking

          public void onEntityWalking(World p_149724_1_,
                             int p_149724_2_,
                             int p_149724_3_,
                             int p_149724_4_,
                             Entity p_149724_5_)

      Overrides:
        `onEntityWalking` in class `Block`

    - #### updateTick

          public void updateTick(World p_149674_1_,
                        int p_149674_2_,
                        int p_149674_3_,
                        int p_149674_4_,
                        java.util.Random p_149674_5_)

      Overrides:
        `updateTick` in class `Block`

    - #### onBlockActivated

          public boolean onBlockActivated(World p_149727_1_,
                                 int p_149727_2_,
                                 int p_149727_3_,
                                 int p_149727_4_,
                                 EntityPlayer p_149727_5_,
                                 int p_149727_6_,
                                 float p_149727_7_,
                                 float p_149727_8_,
                                 float p_149727_9_)

      Overrides:
        `onBlockActivated` in class `Block`

    - #### onBlockDestroyedByExplosion

          public void onBlockDestroyedByExplosion(World p_149723_1_,
                                         int p_149723_2_,
                                         int p_149723_3_,
                                         int p_149723_4_,
                                         Explosion p_149723_5_)

      Overrides:
        `onBlockDestroyedByExplosion` in class `Block`

    - #### getMapColor

          public MapColor getMapColor(int p_149728_1_)

      Overrides:
        `getMapColor` in class `Block`

    - #### onBlockPlacedBy

          public void onBlockPlacedBy(World p_149689_1_,
                             int p_149689_2_,
                             int p_149689_3_,
                             int p_149689_4_,
                             EntityLivingBase p_149689_5_,
                             ItemStack p_149689_6_)

      Overrides:
        `onBlockPlacedBy` in class `Block`

    - #### onBlockPlaced

          public int onBlockPlaced(World p_149660_1_,
                          int p_149660_2_,
                          int p_149660_3_,
                          int p_149660_4_,
                          int p_149660_5_,
                          float p_149660_6_,
                          float p_149660_7_,
                          float p_149660_8_,
                          int p_149660_9_)

      Overrides:
        `onBlockPlaced` in class `Block`

    - #### collisionRayTrace

          public MovingObjectPosition collisionRayTrace(World p_149731_1_,
                                               int p_149731_2_,
                                               int p_149731_3_,
                                               int p_149731_4_,
                                               Vec3 p_149731_5_,
                                               Vec3 p_149731_6_)

      Overrides:
        `collisionRayTrace` in class `Block`

    - #### registerBlockIcons

          public void registerBlockIcons(IIconRegister p_149651_1_)

      Overrides:
        `registerBlockIcons` in class `Block`